import numpy as np
import matplotlib.pyplot as plt
import aurora

case = aurora.solps_case(
    b2fstate_path="./b2fstate",
    b2fgmtry_path="./b2fgmtry",
)

fig, axis = plt.subplots()

# B2 fluid species are D, D+, N, N+ -> plot the third species, i.e. N+
data = case.data("na")[3]
case.plot2d_b2(data, ax=axis, scale="log", lb = 1e13, ub = 1e19, label="Density [$m^{-3}$]")
plt.show(block=True)


